package rocks.zipcode.quiz5.collections;

import rocks.zipcode.quiz5.objectorientation.account.BankAccount;

import java.util.ArrayList;
import java.util.List;

/**
 * @author leon on 27/12/2018.
 */
public class Bank {
    List<BankAccount> bankAccounts;

    public Bank(){
        bankAccounts = new ArrayList<>();
    }
    public BankAccount removeBankAccountByIndex(Integer indexNumber) {
        BankAccount b = bankAccounts.get(indexNumber);
        bankAccounts.remove((int) indexNumber);
        return b;
    }

    public void addBankAccount(BankAccount bankAccount) {
        bankAccounts.add(bankAccount);
    }

    public Boolean containsBankAccount(BankAccount bankAccount) {
        return bankAccounts.contains(bankAccount);
    }
}
