package rocks.zipcode.quiz5.collections;

import java.util.HashMap;
import java.util.Map;

public class WordCounter {
    String[] strings;

    public WordCounter(String... strings) {
        this.strings = strings;
    }

    public Map<String, Integer> getWordCountMap() {
        Map<String, Integer> map = new HashMap<>();
        for (int i=0; i<strings.length; i++) {
            String str = strings[i];
            if (!map.containsKey(str)) map.put(str, 1);
            else map.put(str,map.get(str) +1);
        }
        return map;
    }
}
