package rocks.zipcode.quiz5.fundamentals;

/**
 * @author leon on 21/12/2018.
 */
public class Calculator {
    public static Double squareRoot(Double value) {
        return Math.sqrt(value);
    }

    public static Double square(Double value) {
        return round(value * value);
    }

    public static Double[] squareRoots(Double... value) {
        Double[] sqrts = new Double[value.length];
        for (int i=0; i<sqrts.length; i++)
            sqrts[i] = squareRoot(value[i]);
        return sqrts;
    }

    public static Double[] squares(Double... values) {
        Double[] sqrts = new Double[values.length];
        for (int i=0; i<sqrts.length; i++)
            sqrts[i] = square(values[i]);
        return sqrts;
    }

    public static Double add(Double value1, Double value2) {
        return round(value1 + value2);
    }

    public static Double subtract(Double value1, Double value2) {
        return round(value1 - value2);
    }


    public static Double divide(Double divisor, Double dividend) {
        return divisor/dividend;
    }

    private static Double round(Double value) {
        return Math.round(value *10000.0)/10000.0;
    }
}
